Main Page Class Hierarchy Compound List File List Compound Members File Members

# SourceFile Class Reference

Collaboration diagram for SourceFile:

[legend]
List of all members.

## Public Methods
void | set (const cmt_string name, Language& language, const cmt_string output)
cmt_string | name () const
Language& | language () const
cmt_string | output () const
## Private Attributes
cmt_string | m_name
Language* | m_language
cmt_string | m_output

## Member Function Documentation

Language & SourceFile::language ( | ) const`[inline]`

| Definition at line 72 of file cmt_generator.cxx. Referenced by MakefileGenerator::build_library_makefile(), and MakefileGenerator::module_file_action().
    00073   {
    00074     return (*m_language);
    00075   }

cmt_string SourceFile::name ( | ) const`[inline]`

| Definition at line 67 of file cmt_generator.cxx. Referenced by MakefileGenerator::build_document_makefile(), MakefileGenerator::build_library_makefile(), MakefileGenerator::java_file_action(), and MakefileGenerator::module_file_action().
    00068   {
    00069     return (m_name);
    00070   }

cmt_string SourceFile::output ( | ) const`[inline]`

| Definition at line 77 of file cmt_generator.cxx. Referenced by MakefileGenerator::fill_outputs(), and MakefileGenerator::java_file_action().
    00078   {
    00079     return (m_output);
    00080   }

void SourceFile::set ( | const cmt_string name,
| Language & language,
| const cmt_string output )`[inline]`

| Definition at line 56 of file cmt_generator.cxx. Referenced by MakefileGenerator::analyze_document_file(), and MakefileGenerator::analyze_file().
    00057   {
    00058     m_name = name;
    00059     m_language = &language;
    00060     m_output = output;
    00061
    00062     char sep = CmtSystem::file_separator ();
    00063     if (sep == '/') m_name.replace_all ("\\", sep);
    00064     else m_name.replace_all ("/", sep);
    00065   }

## Member Data Documentation

Language * SourceFile::m_language`[private]`

| Definition at line 84 of file cmt_generator.cxx.

cmt_string SourceFile::m_name`[private]`

| Definition at line 83 of file cmt_generator.cxx.

cmt_string SourceFile::m_output`[private]`

| Definition at line 85 of file cmt_generator.cxx.

The documentation for this class was generated from the following file:

- cmt_generator.cxx